gh(1)

NAME

gh-pr-edit - Edit a pull request

SYNOPSIS

gh pr edit [ | | ] [flags]

DESCRIPTION

Edit a pull request.

Without an argument, the pull request that belongs to the current branch is selected.

OPTIONS

--add-assignee=[]
    Add assigned users by their login. Use "@me" to assign yourself.

--add-label=[]
    Add labels by name

--add-project=[]
    Add the pull request to projects by name

--add-reviewer=[]
    Add reviewers by their login.

-B, --base=""
    Change the base branch for this pull request

-b, --body=""
    Set the new body.

-F, --body-file=""
    Read body text from file (use "-" to read from standard input)

-m, --milestone=""
    Edit the milestone the pull request belongs to by name

--remove-assignee=[]
    Remove assigned users by their login. Use "@me" to unassign yourself.

--remove-label=[]
    Remove labels by name

--remove-project=[]
    Remove the pull request from projects by name

--remove-reviewer=[]
    Remove reviewers by their login.

-t, --title=""
    Set the new title.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh pr edit 23 --title "I found a bug" --body "Nothing works"
    $ gh pr edit 23 --add-label "bug,help wanted" --remove-label "core"
    $ gh pr edit 23 --add-reviewer monalisa,hubot  --remove-reviewer myorg/team-name
    $ gh pr edit 23 --add-assignee "@me" --remove-assignee monalisa,hubot
    $ gh pr edit 23 --add-project "Roadmap" --remove-project v1,v2
    $ gh pr edit 23 --milestone "Version 1"

SEE ALSO

gh-pr(1)